package Fobaccess;

use warnings;
use strict;

sub validate_input {
 # UNLESS WE HAVE TWO INPUTS, SHOW DIE WITH USAGE.
 if (scalar @_ != 2) {
  my $usage =<<"EOT";
Usage: $0 DOORNUM FOBNUM
 DOORNUM is a number of format BFFDDD (BUILDING, FLOOR, NUMBER - e.g. A01101)
 FOBNUM is 16 hex digits.
EOT
  return $usage;
 }
return 'Correct number of inputs';
}

1;
