#!/usr/bin/perl
use warnings;
use strict;
use Test::More tests => 3;
use Fobaccess;

my @good_array = ('A01101', '0123456789ABCDEF');
like(Fobaccess::validate_input(@good_array), qr/Correct/, 'Exactly two inputs for validate_input() as expected.');

like(Fobaccess::validate_input('only1val'), qr/Usage/, 'One input fails as expected for validate_input()');

like(Fobaccess::validate_input('3vals', '3vals', '3vals'), qr/Usage/, 'Three inputs fail as expected for validate_input()');
