#!/usr/bin/perl
use warnings;
use strict;
use Fobaccess;

my $return_value = Fobaccess::validate_input(@ARGV);
if ($return_value ne 'OK')
 { die $return_value;}

my $door_number = shift;
my $fob_number	= shift;
print "Checking that fob [$fob_number] has access to door [$door_number]...\n";

if (Fobaccess::test_access($door_number, $fob_number) ne 'Yes') {
 die " - ACCESS DENIED\n";
}
else {
 print " - OK.\n";
}
